package itz;
import java.awt.image.BufferedImage;
import java.io.*;
import javax.imageio.ImageIO;

public class CopiaImagen {

	public static void main(String[] args) {
		int width = 963;    //ancho de la imagen
        int height = 640;   //alto de la imagen
  
        // Para almacenar imagen en RAM
        BufferedImage image = null;
  
        // Leer Imagen
        try
        {
            File input_file = new File("minion.jpg"); //ruta al archivo de imagen
  
            /* crear un objeto de tipo BufferedImage y pasar
               como parmetro el ancho, alto e imagen int
               type.TYPE_INT_ARGB significa que estamos representando
               el componente Alfa, Rojo, Verde y Azul del
               pxel de imagen utilizando un valor entero de 8 bits. */
            image = new BufferedImage(width, height,
                                    BufferedImage.TYPE_INT_ARGB);
  
             // Reading input file
            image = ImageIO.read(input_file);
  
            System.out.println("Lectura Completa.");
        }
        catch(IOException e)
        {
            System.out.println("Error: "+e);
        }
  
        // Escribir Imagen
        try
        {
            // Ruta del archivo de salida
            File output_file = new File("Salida.jpg");
  
            // Escribe el archivo tomando en cuenta el y tipo de imagen y la ruta
            ImageIO.write(image, "jpg", output_file);
  
            System.out.println("EScritura Completa");
        }
        catch(IOException e)
        {
            System.out.println("Error: "+e);
        }
    }
}
